| Home | Libraries | People | FAQ | More

###### datetime::datetime (3 of 4 overloads)

Constructs a datetime from a `time_point`.

###### Synopsis

    explicit constexpr
    datetime(
        datetime::time_point tp);

###### Exception safety

Strong guarantee. Throws on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`std::out_of_range` | If the resulting `datetime` object would be out of the [`min_datetime`, `max_datetime`] range.